Get summary stats by wallet address
curl --request GET \
--url https://deep-index.moralis.io/api/v2.2/wallets/{address}/stats \
--header 'X-API-Key: <api-key>'import requests
url = "https://deep-index.moralis.io/api/v2.2/wallets/{address}/stats"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://deep-index.moralis.io/api/v2.2/wallets/{address}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nfts": "100",
"collections": "10",
"transactions": {
"total": "1000"
},
"nft_transfers": {
"total": "1000"
},
"token_transfers": {
"total": "1000"
}
}Activity
Wallet Stats
Retrieve key statistics for a wallet, such as total transaction count and activity.
GET
/
wallets
/
{address}
/
stats
Get summary stats by wallet address
Authorizations
Path Parameters
Wallet address
Example:
"0xcB1C1FdE09f811B294172696404e88E658659905"
Query Parameters
The chain to query
Available options:
eth, 0x1, sepolia, 0xaa36a7, polygon, 0x89, bsc, 0x38, bsc testnet, 0x61, avalanche, 0xa86a, cronos, 0x19, arbitrum, 0xa4b1, chiliz, 0x15b38, gnosis, 0x64, base, 0x2105, base sepolia, 0x14a34, optimism, 0xa, polygon amoy, 0x13882, linea, 0xe708, moonbeam, 0x504, moonriver, 0x505, flow, 0x2eb, flow-testnet, 0x221, ronin, 0x7e4, ronin-testnet, 0x31769, lisk, 0x46f, pulse, 0x171, sei-testnet, 0x530, sei, 0x531, monad, 0x8f Example:
"eth"
Response
200 - application/json
Returns the stats for the wallet address.
The number of NFTs owned by a wallet
Example:
"100"
The number of unique NFT collections owned by a wallet
Example:
"10"
Transaction stats
Show child attributes
Show child attributes
NFT transfer stats
Show child attributes
Show child attributes
Token transfer stats
Show child attributes
Show child attributes

